Create an Inventory
curl --request POST \
--url https://api.alerty.ai/inventory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"default": true,
"resources": [
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"configuration": {
"url": "<string>"
}
}
],
"description": "<string>"
}
'import requests
url = "https://api.alerty.ai/inventory"
payload = {
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"default": True,
"resources": [
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"configuration": { "url": "<string>" }
}
],
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '5df33a85-2b9c-40e3-8854-760ee3b8efc7',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
name: '<string>',
default: true,
resources: [
{
id: '5df33a85-2b9c-40e3-8854-760ee3b8efc7',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
name: '<string>',
configuration: {url: '<string>'}
}
],
description: '<string>'
})
};
fetch('https://api.alerty.ai/inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"default": true,
"resources": [
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"configuration": {
"url": "<string>"
}
}
],
"description": "<string>"
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}Inventory
Create an Inventory
this operation creates a new inventory
POST
/
inventory
Create an Inventory
Authorizations
bearerAuthcookieAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Unique identifier for the entity
Example:
"5df33a85-2b9c-40e3-8854-760ee3b8efc7"
the inventory name
flag if the inventory is the default one
the inventory resources list
Show child attributes
Show child attributes
the inventory description
Response
inventory created
Unique identifier for the entity
Example:
"5df33a85-2b9c-40e3-8854-760ee3b8efc7"
the inventory name
flag if the inventory is the default one
the inventory resources list
Show child attributes
Show child attributes
the inventory description
⌘I

